Package Details: paho-mqtt-c-git 1.3.0.r4.g26c6c99-1

Git Clone URL: https://aur.archlinux.org/paho-mqtt-c-git.git (read-only)
Package Base: paho-mqtt-c-git
Description: A fully fledged MQTT client written in ANSI standard C
Upstream URL: https://www.eclipse.org/paho/clients/c/
Licenses: EPL
Conflicts: paho-mqtt-c
Provides: paho-mqtt-c
Submitter: codyps
Maintainer: codyps (MagnificentSpam)
Last Packager: codyps
Votes: 4
Popularity: 0.000238
First Submitted: 2016-05-23 19:53
Last Updated: 2018-12-08 22:04

Latest Comments

ahirapatel commented on 2019-08-13 13:54

The 533.patch file no longer applies and causes a build error. It looks like the paho-mqtt-c repo maintainer fixed this there.

Martchus commented on 2018-12-19 16:46

thanks

codyps commented on 2018-12-08 22:05

@Martchus: applied (though I haven't seen a parallel build failure for this package before).

Martchus commented on 2018-12-08 12:14

Can you git am https://martchus.no-ip.biz/shares/a4f78bd3d1154882e0feb89711c615/0001-Fix-dependencies-and-makeflags.patch ?

Because it seems to require Doxygen on build time and parallel builds appear to be broken (maybe not reproducible 100 % of the time).

codyps commented on 2018-10-29 23:00

@dimytch: that fails because you've removed the LDCONFIG=echo variable override, which avoids the makefile's attempt to execute ldconfig.

@MagnificentSpam: thanks for the advise and links. I'm (clearly) not really paying attention to this package, so I've added you as a co-maintainer.

dimytch commented on 2018-10-29 07:42

I've modified PKGBUILD

    package() {
      cd "$srcdir/paho.mqtt.c"
    #  mkdir -p "$pkgdir/usr/lib"
    #  mkdir -p "$pkgdir/usr/bin"
    #  mkdir -p "$pkgdir/usr/include"
      make prefix=/usr DESTDIR="$pkgdir" install
    }

And got errors when packaging.

    ==> Entering fakeroot environment...
    ==> Starting package()...
    mkdir -p build/output/samples
    mkdir -p build/output/test
    echo OSTYPE is Linux
    OSTYPE is Linux
    mkdir -p /home/devuser/i/paho-mqtt-c-git/pkg/paho-mqtt-c-git/usr/include
    install -m 644  build/output/libpaho-mqtt3c.so.1.0 /home/devuser/i/paho-mqtt-c-git/pkg/paho-mqtt-c-git/usr/lib
    install -m 644  build/output/libpaho-mqtt3cs.so.1.0 /home/devuser/i/paho-mqtt-c-git/pkg/paho-mqtt-c-git/usr/lib
    install -m 644  build/output/libpaho-mqtt3a.so.1.0 /home/devuser/i/paho-mqtt-c-git/pkg/paho-mqtt-c-git/usr/lib
    install -m 644  build/output/libpaho-mqtt3as.so.1.0 /home/devuser/i/paho-mqtt-c-git/pkg/paho-mqtt-c-git/usr/lib
    install  build/output/paho_c_version /home/devuser/i/paho-mqtt-c-git/pkg/paho-mqtt-c-git/usr/bin
    install  build/output/samples/paho_c_pub /home/devuser/i/paho-mqtt-c-git/pkg/paho-mqtt-c-git/usr/bin
    install  build/output/samples/paho_c_sub /home/devuser/i/paho-mqtt-c-git/pkg/paho-mqtt-c-git/usr/bin
    install  build/output/samples/paho_cs_pub /home/devuser/i/paho-mqtt-c-git/pkg/paho-mqtt-c-git/usr/bin
    install  build/output/samples/paho_cs_sub /home/devuser/i/paho-mqtt-c-git/pkg/paho-mqtt-c-git/usr/bin
    /sbin/ldconfig /home/devuser/i/paho-mqtt-c-git/pkg/paho-mqtt-c-git/usr/lib
    /sbin/ldconfig: Can't create temporary cache file /etc/ld.so.cache~: Permission denied
    make: *** [Makefile:283: install] Error 1
    ==> ERROR: A failure occurred in package().
        Aborting...

MagnificentSpam commented on 2018-09-05 10:13

Looks like both the Makefile and the PKGBUILD are broken.

The PKGBUILD has to create the directories $pkgdir/usr/share/man/man1 and $pkgdir/usr/share/man/man3 before calling make install.

The Makefile needs to generate some manpages, possibly by calling the html target before install, and also change an install path: https://github.com/eclipse/paho.mqtt.c/pull/533/commits/c184481c7778d805a550411d5903324e84b922ff

mossblaser commented on 2018-08-05 20:55

This package currently doesn't seem to be building, failing on:

ln: failed to create symbolic link '/home/jonathan/Downloads/paho-mqtt-c-git/pkg/paho-mqtt-c-git/build/output/libpaho-mqtt3c.so.1': No such file or directory

At the time of writing, this is attempting to build against the v1.2.1 tag of the library. Do you know what might be going on? Thanks!

Update: This seems to have snuck in between v1.2.0 and v1.2.1. This might be an upstream issue? (Building v1.2.1 using make;make install works -- it might be something breaking in DESTDIR?)